## qtcurve 1.9

=== CMakeLists.txt ===
## Setup
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

project(QtCurve)

include(FeatureSummary)

## Temporary
function(translate_add_sources)
endfunction()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}"
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CMakeCMacros)

## Version
set(QTCURVE_VERSION_MAJOR "1")
set(QTCURVE_VERSION_MINOR "9")
set(QTCURVE_VERSION_PATCH "0")
set(QTCURVE_VERSION "${QTCURVE_VERSION_MAJOR}.${QTCURVE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${QTCURVE_VERSION_PATCH}")

find_package(Git QUIET)
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/version.cpp"
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/tools/gen-version.sh"
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
add_custom_target(gen-git-ver ALL
  COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/gen-version.sh"
  "${CMAKE_CURRENT_BINARY_DIR}/version.cpp" "${QTCURVE_VERSION_FULL}"
  "${GIT_EXECUTABLE}"
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/version.cpp")

## Options
function(qtc_option name doc def_val)
  if(DEFINED "${name}")
    set("${name}_DEFINED" On PARENT_SCOPE)
  else()
    set("${name}_DEFINED" Off PARENT_SCOPE)
    set("${name}" "${def_val}" ${doc} PARENT_SCOPE)
  endif()
endfunction()
function(qtc_variable name doc def_val)
  if(DEFINED "${name}")
    set("${name}_DEFINED" On PARENT_SCOPE)
  else()
    set("${name}_DEFINED" Off PARENT_SCOPE)
    set("${name}" "${def_val}" PARENT_SCOPE)
  endif()
endfunction()
qtc_option(ENABLE_QT4 "Building Qt4 theme." On)
qtc_option(ENABLE_QT5 "Building Qt5 theme." On)
qtc_option(ENABLE_GTK2 "Building Gtk2 theme." On)
# option(ENABLE_GTK3 "Building Gtk3 theme." On)
option(ENABLE_TEST "Enable testing." On)
option(QTC_ENABLE_X11 "Enable X11" On)
option(QTC_INSTALL_PO "Install translation files." On)

if(ENABLE_QT4)
    qtc_option(QTC_QT4_ENABLE_KDE "Building Qt4 style with KDE4 support." On)
else()
    qtc_option(QTC_QT4_ENABLE_KDE "Building Qt4 style with KDE4 support." Off)
endif()
if(ENABLE_QT5)
    qtc_option(QTC_QT5_ENABLE_KDE
      "Building Qt5 style with KDE Frameworks 5 support." On)
else()
    qtc_option(QTC_QT5_ENABLE_KDE
      "Building Qt5 style with KDE Frameworks 5 support." Off)
endif()

option(QTC_QT4_STYLE_SUPPORT
  "Qt4 support for creating a style for each QtCurve theme." Off)

## Common settings.
# support an infix argument to have different qtcurve-utils libraries, e.g. for
# GTk2, Qt4 and Qt5
qtc_variable(QTC_UTILSLIB_INFIX "Infix for having multiple qtcurve-utils's" "")
qtc_variable(QTC_KDE4_DEFAULT_HOME
  "Path of kde4 home (relative to user home), for reading old theme files only"
  ".kde4")

if((QTC_KDE4_DEFAULT_HOME STREQUAL ".kde4") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde4/") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ".kde/") OR
    (QTC_KDE4_DEFAULT_HOME STREQUAL ""))
  set(QTC_KDE4_DEFAULT_HOME_DEFAULT True)
else()
  set(QTC_KDE4_DEFAULT_HOME_DEFAULT False)
endif()

# set compiler flags earlier to prevent potential failure running find_package(KDE4)
# glibc 2.20 warns about _BSD_SOURCE if _DEFAULT_SOURCE is not defined.
cmake_c_add_flags(CMAKE_C_FLAGS -Wall -Wextra -Wno-cast-align
  -std=gnu99 -D_DEFAULT_SOURCE)
# Register storage class is deprecated in C++11 but is still used in Qt.
# Use compiler option (-Wno-deprecated-register) to suppress
# the warning in clang++.
# We use `override` in certain Qt Classes but the QObject macro does not use it
# Use compiler option (-Wno-inconsistent-missing-override) to suppress
# the warning in clang++ 3.6+.
cmake_c_add_flags(CMAKE_CXX_FLAGS -Wall -Wextra
  -Wno-deprecated-register -Wno-cast-align
  -Wno-inconsistent-missing-override)
if(NOT APPLE)
  # -std=c++0x is deprecated but gcc < 4.7 do not recognise c++11 ....
  cmake_c_add_flags(CMAKE_CXX_FLAGS -std=c++0x -D_DEFAULT_SOURCE)
  cmake_c_add_flags(CMAKE_SHARED_LINKER_FLAGS -Wl,--as-needed -Wl,--no-undefined)
  cmake_c_add_flags(CMAKE_MODULE_LINKER_FLAGS -Wl,--as-needed -Wl,--no-undefined)
else()
  cmake_c_add_flags(CMAKE_CXX_FLAGS -std=c++11)
endif()

if(QTC_QT4_ENABLE_KDE)
    find_package(KDE4 QUIET)
    set(KDE4_KDECONFIG_EXECUTABLE)
    find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
      PATHS "${CMAKE_INSTALL_PREFIX}/bin" ${_KDEDIRS} /opt/kde4/bin
      NO_DEFAULT_PATH)
    if(NOT KDE4_KDECONFIG_EXECUTABLE)
      find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config)
    endif()
endif()

function(get_cmd_var varname def cmd)
  if(DEFINED ${varname})
    return()
  endif()
  if(cmd)
    execute_process(COMMAND "${cmd}" ${ARGN} OUTPUT_VARIABLE _cmd_out
      RESULT_VARIABLE _cmd_res)
    if("${_cmd_res}" EQUAL 0)
      string(STRIP "${_cmd_out}" _cmd_out)
    else()
      set(_cmd_out "${def}")
    endif()
  else()
    set(_cmd_out "${def}")
  endif()
  set("${varname}" "${_cmd_out}" PARENT_SCOPE)
endfunction()

function(get_kde_var var def)
  get_cmd_var(_output "${def}" "${KDE4_KDECONFIG_EXECUTABLE}" ${ARGN})
  set(${var} "${_output}" PARENT_SCOPE)
endfunction()

get_kde_var(QTC_KDE4_PREFIX "${CMAKE_INSTALL_PREFIX}" --prefix)
get_kde_var(QTC_KDE4_ICONS_PREFIX "${QTC_KDE4_PREFIX}/share/icons"
  --install icon)

## Handle options
find_package(Libexecinfo)
if(LIBEXECINFO_LIB_FOUND)
  set(QTC_ENABLE_BACKTRACE On)
else()
  set(QTC_ENABLE_BACKTRACE Off)
endif()

if(QTC_ENABLE_X11)
  macro(qtc_check_x11)
    find_package(PkgConfig)
    if(NOT PKG_CONFIG_FOUND)
      message(WARNING "Cannot find pkg-config, disable x11 support.")
      set(QTC_ENABLE_X11 Off)
      set(QTC_X11_FOUND Off)
      return()
    endif()
    unset(__pkg_config_checked_QTC_X11 CACHE)
    # pkg_check_modules(QTC_X11 xcb x11-xcb xrender)
    if(QTC_ENABLE_X11)
      pkg_check_modules(QTC_X11 xcb x11-xcb)
    else()
      pkg_check_modules(QTC_X11 xcb)
    endif()
    if(NOT QTC_X11_FOUND AND QTC_ENABLE_X11)
      message(WARNING
        "Cannot find required modules for x11, disable x11 support.")
      set(QTC_ENABLE_X11 Off)
      return()
    endif()
  endmacro()
  qtc_check_x11()
else()
  set(QTC_X11_FOUND Off)
endif()

if(QTC_X11_FOUND)
  include_directories(${QTC_X11_INCLUDE_DIRS})
  add_definitions(${QTC_X11_CFLAGS})
else()
  include_directories(SYSTEM "${CMAKE_CURRENT_SOURCE_DIR}/lib/xcb-defs")
endif()

if(ENABLE_GTK2 AND NOT ENABLE_GTK2_DEFINED)
  find_package(PkgConfig)
  if(NOT PKG_CONFIG_FOUND)
    message(WARNING "pkg-config not found, disable Gtk2 build.")
    set(ENABLE_GTK2 Off)
  else()
    unset(__pkg_config_checked_GTK2 CACHE)
    pkg_check_modules(GTK2 gtk+-2.0)
    if(NOT GTK2_FOUND)
      message(WARNING "gtk+-2.0 not found, disable Gtk2 build.")
      set(ENABLE_GTK2 Off)
    endif()
  endif()
endif()

if(ENABLE_GTK2)
  find_package(PkgConfig REQUIRED)
  unset(__pkg_config_checked_GTK2 CACHE)
  pkg_check_modules(GTK2 REQUIRED gtk+-2.0)
  if(GTK2_THEME_PREFIX)
    set(GTK2_PREFIX "${GTK2_THEME_PREFIX}")
  elseif(NOT GTK2_PREFIX)
    set(GTK2_PREFIX "${CMAKE_INSTALL_PREFIX}")
  endif()
  if(NOT GTK2_LIBDIR)
    set(GTK2_LIBDIR "${GTK2_PREFIX}/lib")
  endif()
  _pkgconfig_invoke(gtk+-2.0 GTK2 BIN_VERSION "" --variable=gtk_binary_version)
  set(GTK2_THEME_DIR ${GTK2_PREFIX}/share/themes/QtCurve)
endif()

configure_file(config.h.in config.h @ONLY)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
cmake_c_fix_include_path(lib/utils qtcurve-utils)
cmake_c_fix_include_path(lib/cairo qtcurve-cairo)
add_definitions("-D_GNU_SOURCE -pthread")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR lib)
endif()

cmake_c_include_fix_path()
add_subdirectory(lib)
if(ENABLE_QT4)
    add_subdirectory(qt4)
endif()
if(ENABLE_QT5)
    add_subdirectory(qt5)
endif()
if(ENABLE_GTK2)
    add_subdirectory(gtk2)
endif()
add_subdirectory(tools)
if(ENABLE_TEST)
  enable_testing()
  add_subdirectory(test)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== qt4/CMakeLists.txt ===
if(ENABLE_QT4 AND NOT ENABLE_QT4_DEFINED)
  # ENABLE_QT4 is not defined on the command line
  find_package(Qt4 4.6.0)
  if(NOT Qt4_FOUND AND NOT QT4_FOUND)
    ## NB: this gets activated on OS X 10.9/MacPorts even when Qt is found,
    ## making it obligatory to define ENABLE_QT4 on the command line
    message(WARNING "Qt4 not found.")
    set(ENABLE_QT4 Off)
    set(ENABLE_QT4 Off PARENT_SCOPE)
  endif()
endif()

if (QTC_QT4_ENABLE_KDE AND NOT QTC_QT4_ENABLE_KDE_DEFINED)
    find_package(KDE4)
    if(NOT KDE4_FOUND)
        set(QTC_QT4_ENABLE_KDE OFF)
    endif()
endif()

add_definitions(-DQTC_UTILS_QT4 -DQTC_UTILS_QT)

if(ENABLE_QT4)
  find_package(Qt4 4.6.0 REQUIRED)
  # search packages used by KDE
  if(QTC_QT4_ENABLE_KDE)
    find_package(KDE4 REQUIRED)
    include(KDE4Defaults)
    set(QTCURVE_STYLE_DIR "${PLUGIN_INSTALL_DIR}/plugins/styles/")
    if(NOT Q_WS_X11 OR NOT QTC_X11_FOUND)
      # Kwin headers uses a lot of xcb types and functions and we cannot
      # provide declarations for all of them even if they are not used.
      if(QTC_QT4_ENABLE_KWIN)
        message(WARNING "KWin4 support require Q_WS_X11 and libxcb headers.")
      endif()
      set(QTC_QT4_ENABLE_KWIN Off)
    elseif(NOT DEFINED QTC_QT4_ENABLE_KWIN)
      find_package(KDE4Workspace)
      set(QTC_QT4_ENABLE_KWIN "${KDE4Workspace_FOUND}")
    elseif(QTC_QT4_ENABLE_KWIN)
      find_package(KDE4Workspace REQUIRED)
    endif()
  else()
    set(QTC_QT4_ENABLE_KWIN Off)
    set(QTCURVE_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")
  endif()
  add_definitions(${QT_DEFINITIONS})
  include_directories(
    "${CMAKE_CURRENT_BINARY_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${QT_INCLUDE_DIR}")

  if(QTC_QT4_ENABLE_KDE)
    add_definitions(${KDE4_DEFINITIONS} -DQTC_QT4_ENABLE_KDE)
    include_directories(${KDE4_INCLUDES})
  endif()
else()
  set(QTC_QT4_ENABLE_KDE Off)
  set(QTC_QT4_ENABLE_KWIN Off)
endif()

add_subdirectory(colors)
add_subdirectory(common)
add_subdirectory(config)
add_subdirectory(themes)
add_subdirectory(kwin)
add_subdirectory(kwinconfig)
add_subdirectory(style)

=== qt5/CMakeLists.txt ===
if(QTC_QT5_ENABLE_QTQUICK2)
  set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5Quick Qt5DBus)
else()
  set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5DBus)
endif()
if(QTC_QT5_ENABLE_KDE)
  set(QTC_QT5_MODULES ${QTC_QT5_MODULES} Qt5PrintSupport)
endif()

if(ENABLE_QT5 AND NOT ENABLE_QT5_DEFINED)
  set(QT_MIN_VERSION "5.3.2")
  # ENABLE_QT5 is not defined on the command line
  foreach(QtModule ${QTC_QT5_MODULES})
    find_package(${QtModule} ${QT_MIN_VERSION} CONFIG)
    if(NOT ${QtModule}_FOUND)
      message(WARNING "Required Qt5 Module ${QtModule} not found."
        "Disabling Qt5 build")
      set(ENABLE_QT5 Off)
      set(ENABLE_QT5 Off PARENT_SCOPE)
      break()
    endif()
  endforeach()
endif()

add_definitions(-DQTC_UTILS_QT5 -DQTC_UTILS_QT)

set(QTC_QT5_ENABLE_KWIN Off)

if(ENABLE_QT5)
  set(QTC_QT5_LINK_LIBS)
  set(QTC_QT5_DEFS)
  set(QTC_QT5_INCLUDES)
  foreach(QtModule ${QTC_QT5_MODULES})
    find_package(${QtModule} REQUIRED)
    set(QTC_QT5_LINK_LIBS ${QTC_QT5_LINK_LIBS} ${${QtModule}_LIBRARIES})
    set(QTC_QT5_DEFS ${QTC_QT5_DEFS} ${${QtModule}_DEFINITIONS})
    set(QTC_QT5_INCLUDES ${QTC_QT5_INCLUDES} ${${QtModule}_INCLUDE_DIRS})
  endforeach()
  if(NOT APPLE)
    set(QTC_QT5_OPT_MODULES Qt5X11Extras)
  endif()
  foreach(QtModule ${QTC_QT5_OPT_MODULES})
    find_package(${QtModule})
    if(${QtModule}_FOUND)
      set(QTC_QT5_LINK_LIBS ${QTC_QT5_LINK_LIBS} ${${QtModule}_LIBRARIES})
      set(QTC_QT5_DEFS ${QTC_QT5_DEFS} ${${QtModule}_DEFINITIONS})
      set(QTC_QT5_INCLUDES ${QTC_QT5_INCLUDES} ${${QtModule}_INCLUDE_DIRS})
    endif()
  endforeach()
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
    IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(QTCURVE_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")
  include_directories(
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_BINARY_DIR}")
  add_definitions(-DTRANSLATION_DOMAIN=\"qtcurve\" ${QTC_QT5_DEFS})
  include_directories(${QTC_QT5_INCLUDES})
  configure_file(config-qt5.h.in config-qt5.h @ONLY)

  if(QTC_QT5_ENABLE_KDE)
    find_package(ECM 1.2.0 REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}
      ${ECM_KDE_MODULE_DIR})

    find_package(KF5 REQUIRED COMPONENTS
      Archive
      Config
      ConfigWidgets
      FrameworkIntegration
      I18n
      KDELibs4Support
      KIO
      GuiAddons
      IconThemes
      WidgetsAddons
      WindowSystem
      XmlGui)

    add_definitions(-DQTC_QT5_ENABLE_KDE)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
    include(KDECompilerSettings)
    if(NOT APPLE)
        set(QTC_QT5_ENABLE_KWIN ON)
    endif()
  endif()
else()
  set(QTC_QT5_ENABLE_KDE Off)
endif()

add_subdirectory(common)
add_subdirectory(config)
if(QTC_QT5_ENABLE_KWIN)
    add_subdirectory(kwin)
    add_subdirectory(kwinconfig)
endif()
add_subdirectory(style)

=== test/CMakeLists.txt ===
add_definitions(-UNDEBUG)
remove_definitions(-DNDEBUG)

add_executable(test-version test-version.cpp)
target_link_libraries(test-version qtcurve-utils)
add_test(NAME test-version COMMAND test-version)

add_executable(test-buff test-buff.cpp)
target_link_libraries(test-buff qtcurve-utils)
add_test(NAME test-buff COMMAND test-buff)

add_executable(test-strmap test-strmap.cpp)
target_link_libraries(test-strmap qtcurve-utils)
add_test(NAME test-strmap COMMAND test-strmap)

add_executable(test-printf test-printf.cpp)
target_link_libraries(test-printf qtcurve-utils)
add_test(NAME test-printf COMMAND test-printf)

add_executable(test-strlist test-strlist.cpp)
target_link_libraries(test-strlist qtcurve-utils)
add_test(NAME test-strlist COMMAND test-strlist)

add_executable(test-default-arg test-default-arg.cpp)
target_link_libraries(test-default-arg qtcurve-utils)
add_test(NAME test-default-arg COMMAND test-default-arg)

add_executable(test-color-str test-color-str.cpp)
target_link_libraries(test-color-str qtcurve-utils)
add_test(NAME test-color-str COMMAND test-color-str)

add_executable(test-default test-default.cpp)
target_link_libraries(test-default qtcurve-utils)
add_test(NAME test-default COMMAND test-default)

add_executable(test-call-cpp test-call.cpp)
target_link_libraries(test-call-cpp qtcurve-utils)
add_test(NAME test-call-cpp COMMAND test-call-cpp)

add_executable(test-process test-process.cpp)
target_link_libraries(test-process qtcurve-utils)
add_test(NAME test-process COMMAND test-process)

add_executable(test-popen test-popen.cpp)
target_link_libraries(test-popen qtcurve-utils)
# add_test(NAME test-popen COMMAND test-popen)

add_executable(test-popen-buff test-popen-buff.cpp)
target_link_libraries(test-popen-buff qtcurve-utils)
# add_test(NAME test-popen-buff COMMAND test-popen-buff)

add_executable(test-oneof test-oneof.cpp)
target_link_libraries(test-oneof qtcurve-utils)
add_test(NAME test-oneof COMMAND test-oneof)

add_executable(test-containerof test-containerof.cpp)
target_link_libraries(test-containerof qtcurve-utils)
add_test(NAME test-containerof COMMAND test-containerof)

=== gtk2/style/CMakeLists.txt ===
set(qtcurve_SRCS
  animation.cpp
  combobox.cpp
  dbus.cpp
  drawing.cpp
  entry.cpp
  helpers.cpp
  menu.cpp
  pixcache.cpp
  qtcurve.cpp
  qt_settings.cpp
  scrollbar.cpp
  scrolledwindow.cpp
  shadowhelper.cpp
  tab.cpp
  treeview.cpp
  widgetmap.cpp
  window.cpp
  wmmove.cpp)
set(qtcurve_HDRS
  animation.h
  combobox.h
  compatability.h
  dbus.h
  drawing.h
  entry.h
  helpers.h
  menu.h
  pixcache.h
  qt_settings.h
  scrollbar.h
  scrolledwindow.h
  shadowhelper.h
  tab.h
  treeview.h
  widgetmap.h
  window.h
  wmmove.h)

translate_add_sources(${qtcurve_SRCS} ${qtcurve_HDRS})

if(NOT ENABLE_GTK2)
  return()
endif()

set(qtcurve_style_common_SRCS
  ../common/common.cpp
  ../common/config_file.cpp)

include_directories(
  ${GTK2_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR})

add_definitions(${GTK2_CFLAGS})

set(GDK_PIXBUF_CSRC)
find_program(GDK_PIXBUF_CSRC gdk-pixbuf-csource)
if(NOT GDK_PIXBUF_CSRC)
  message(FATAL_ERROR "Cannot find gdk-pixbuf-csource.")
endif()

foreach(pngname check_on check_x_on blank16x16)
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    COMMAND "${GDK_PIXBUF_CSRC}" --static --raw "--name=${pngname}"
    "${PROJECT_SOURCE_DIR}/data/${pngname}.png"
    > "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h"
    DEPENDS "${GDK_PIXBUF_CSRC}" "${PROJECT_SOURCE_DIR}/data/${pngname}.png")
  add_custom_target(qtc_gtk2_${pngname}_hdr
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${pngname}-png.h")
endforeach()

set(qtcurve_SRCS ${qtcurve_SRCS} ${qtcurve_style_common_SRCS})
add_library(qtcurve-gtk2 MODULE ${qtcurve_SRCS})

set_target_properties(qtcurve-gtk2 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "qtcurve")
add_dependencies(qtcurve-gtk2 qtc_gtk2_check_on_hdr qtc_gtk2_check_x_on_hdr
  qtc_gtk2_blank16x16_hdr)

target_link_libraries(qtcurve-gtk2
  ${GTK2_LDFLAGS}
  ${GTK2_LIBRARIES}
  qtcurve-utils qtcurve-cairo m)

install(TARGETS qtcurve-gtk2 LIBRARY DESTINATION
  ${GTK2_LIBDIR}/gtk-2.0/${GTK2_BIN_VERSION}/engines)
install(PROGRAMS map_kde_icons.pl DESTINATION ${GTK2_THEME_DIR}/gtk-2.0)
install(FILES gtkrc icons3 icons4 kdeglobals
  DESTINATION ${GTK2_THEME_DIR}/gtk-2.0)

=== lib/cairo/CMakeLists.txt ===
set(qtcurve_cairo_SRCS
  utils.cpp
  draw.cpp)

if(NOT ENABLE_GTK2 AND NOT ENABLE_GTK3)
  return()
endif()

find_package(PkgConfig REQUIRED)
unset(__pkg_config_checked_CAIRO CACHE)
pkg_check_modules(CAIRO
  REQUIRED cairo
  REQUIRED pangocairo)
include_directories(${CAIRO_INCLUDE_DIRS})
set(qtcurve_cairo_LINKS qtcurve-utils ${CAIRO_LDFLAGSF} ${CAIRO_LIBRARIES})
add_definitions("-DQTC_UTILS_INTERNAL" ${CAIRO_CFLAGS})

add_library(qtcurve-cairo SHARED ${qtcurve_cairo_SRCS})
target_link_libraries(qtcurve-cairo ${qtcurve_cairo_LINKS})

set_target_properties(qtcurve-cairo PROPERTIES
  VERSION 1.0
  SOVERSION 1
  COMPILE_FLAGS "-fvisibility=hidden"
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
install(TARGETS qtcurve-cairo LIBRARY DESTINATION "${LIB_INSTALL_DIR}")

=== lib/utils/CMakeLists.txt ===
set(qtcurve_utils_SRCS
  color.cpp
  dirs.cpp
  log.cpp
  utils.cpp
  strs.cpp
  shadow.cpp
  timer.cpp
  options.cpp
  fd_utils.cpp
  process.cpp
  # DO NOT condition on QTC_ENABLE_X11 !!!
  # These provides dummy API functions so that x and non-x version are abi
  # compatible. There's no X11 linkage when QTC_ENABLE_X11 is off even though
  # these files are compiled
  x11utils.cpp
  x11helpers.cpp
  x11wrap.cpp)

set(qtcurve_utils_LINKS ${LIBEXECINFO_LIBRARIES} pthread)

if(NOT APPLE)
  set(qtcurve_utils_LINKS ${qtcurve_utils_LINKS} m rt dl)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

if(QTC_ENABLE_X11)
  set(qtcurve_utils_LINKS ${qtcurve_utils_LINKS} ${QTC_X11_LIBRARIES})
endif()

add_definitions("-DQTC_UTILS_INTERNAL -pthread")

add_library(qtcurve-utils SHARED ${qtcurve_utils_SRCS}
  "${CMAKE_BINARY_DIR}/version.cpp")
set_source_files_properties("${CMAKE_BINARY_DIR}/version.cpp"
  PROPERTIES GENERATED 1)

add_dependencies(qtcurve-utils gen-git-ver)

target_link_libraries(qtcurve-utils ${qtcurve_utils_LINKS})

set_target_properties(qtcurve-utils PROPERTIES
  VERSION 2.0
  SOVERSION 2
  COMPILE_FLAGS "-fvisibility=hidden"
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "qtcurve-utils${QTC_UTILSLIB_INFIX}")
install(TARGETS qtcurve-utils LIBRARY
  DESTINATION "${LIB_INSTALL_DIR}")

=== qt4/colors/CMakeLists.txt ===
# translate_add_sources(QtCurve.colors QtCurveAgua.colors)

if(NOT QTC_QT4_ENABLE_KDE)
  return()
endif()

install(FILES QtCurve.colors QtCurveAgua.colors
  DESTINATION "${DATA_INSTALL_DIR}/color-schemes")

=== qt4/common/CMakeLists.txt ===
set(qtc_qt_common_SRCS
  common.cpp
  config_file.cpp)
set(qtc_qt_common_HDRS
  common.h
  config_file.h)
translate_add_sources(${qtc_qt_common_SRCS} ${qtc_qt_common_HDRS})

=== qt4/config/CMakeLists.txt ===
set(kstyle_qtcurve_config_PART_SRCS
  qtcurveconfig.cpp
  imagepropertiesdialog.cpp)
set(kstyle_qtcurve_config_export_SRCS
  exportthemedialog.cpp)
set(kstyle_qtcurve_config_PART_HDRS
  qtcurveconfig.h
  imagepropertiesdialog.h)
set(kstyle_qtcurve_config_export_HDRS
  exportthemedialog.h)
set(kstyle_qtcurve_config_UIS
  qtcurveconfigbase.ui
  stylepreview.ui
  imageproperties.ui)
translate_add_sources(
  ${kstyle_qtcurve_config_PART_SRCS}
  ${kstyle_qtcurve_config_export_SRCS}
  ${kstyle_qtcurve_config_PART_HDRS}
  ${kstyle_qtcurve_config_export_HDRS}
  ${kstyle_qtcurve_config_UIS}
  QtCurveui.rc)

if(NOT QTC_QT4_ENABLE_KDE)
  return()
endif()

set(kstyle_qtcurve_config_common_SRCS
  ../common/common.cpp
  ../common/config_file.cpp)

set(kstyle_qtcurve_config_PART_SRCS
  ${kstyle_qtcurve_config_PART_SRCS}
  ../kwinconfig/qtcurvekwinconfig.cpp
  ../kwin/qtcurveconfig.cpp
  ../kwin/qtcurveshadowconfiguration.cpp
  ${kstyle_qtcurve_config_common_SRCS})

if(QTC_QT4_STYLE_SUPPORT)
  set(kstyle_qtcurve_config_PART_SRCS
    ${kstyle_qtcurve_config_PART_SRCS}
    ${kstyle_qtcurve_config_export_SRCS})
endif()

add_definitions(-DCONFIG_WRITE -DCONFIG_DIALOG)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
kde4_add_ui_files(kstyle_qtcurve_config_PART_SRCS
  ${kstyle_qtcurve_config_UIS}
  ../kwinconfig/qtcurvekwinconfigwidget.ui)
kde4_add_plugin(kstyle_qtcurve_config_kde4
  ${kstyle_qtcurve_config_PART_SRCS})
set_target_properties(kstyle_qtcurve_config_kde4 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "kstyle_qtcurve_config")
target_link_libraries(kstyle_qtcurve_config_kde4
  ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS}
  ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY}
  qtcurve-utils)
install(TARGETS kstyle_qtcurve_config_kde4
  DESTINATION "${PLUGIN_INSTALL_DIR}")
install(FILES QtCurveui.rc DESTINATION "${DATA_INSTALL_DIR}/QtCurve")

=== qt4/kwin/CMakeLists.txt ===
set(kwin3_qtcurve_PART_SRCS
  qtcurvehandler.cpp
  qtcurveclient.cpp
  qtcurvebutton.cpp
  qtcurvesizegrip.cpp
  qtcurveshadowcache.cpp
  qtcurveconfig.cpp
  qtcurveshadowconfiguration.cpp
  tileset.cpp
  qtcurvetogglebutton.cpp)
set(kwin3_qtcurve_PART_HDRS
  qtcurvehandler.h
  qtcurveclient.h
  qtcurvebutton.h
  qtcurvedbus.h
  qtcurvesizegrip.h
  qtcurveshadowcache.h
  qtcurveconfig.h
  qtcurveshadowconfiguration.h
  tileset.h
  qtcurvetogglebutton.h)

translate_add_sources(${kwin3_qtcurve_PART_SRCS}
  ${kwin3_qtcurve_PART_HDRS} qtcurve.desktop)

if(NOT QTC_QT4_ENABLE_KWIN)
  return()
endif()

include_directories(
  "${CMAKE_CURRENT_BINARY_DIR}"
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${KDE4WORKSPACE_INCLUDE_DIR})
kde4_add_plugin(kwin3_qtcurve_kde4 ${kwin3_qtcurve_PART_SRCS})
set_target_properties(kwin3_qtcurve_kde4 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "kwin3_qtcurve")
target_link_libraries(kwin3_qtcurve_kde4
  ${KDE4WORKSPACE_KDECORATIONS_LIBS}
  ${KDE4_KDEUI_LIBS} qtcurve-utils)
install(TARGETS kwin3_qtcurve_kde4 DESTINATION "${PLUGIN_INSTALL_DIR}")
install(FILES qtcurve.desktop DESTINATION "${DATA_INSTALL_DIR}/kwin/")

=== qt4/kwinconfig/CMakeLists.txt ===
set(kwin_qtcurve_config_PART_SRCS
  qtcurvekwinconfig.cpp)
set(kwin_qtcurve_config_PART_HDRS
  qtcurvekwinconfig.h)
set(kwin_qtcurve_config_PART_UIS
  qtcurvekwinconfigwidget.ui)

translate_add_sources(${kwin_qtcurve_config_PART_SRCS}
  ${kwin_qtcurve_config_PART_HDRS}
  ${kwin_qtcurve_config_PART_UIS})

if(NOT QTC_QT4_ENABLE_KWIN)
  return()
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}"
  ${KDE4WORKSPACE_INCLUDE_DIR})
set(kwin_qtcurve_config_PART_SRCS
  ${kwin_qtcurve_config_PART_SRCS}
  ../kwin/qtcurveconfig.cpp
  ../kwin/qtcurveshadowconfiguration.cpp)
kde4_add_ui_files(kwin_qtcurve_config_PART_SRCS
  ${kwin_qtcurve_config_PART_UIS})
kde4_add_plugin(kwin_qtcurve_config_kde4 ${kwin_qtcurve_config_PART_SRCS})
set_target_properties(kwin_qtcurve_config_kde4 PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  OUTPUT_NAME "kwin_qtcurve_config")
target_link_libraries(kwin_qtcurve_config_kde4
  ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} qtcurve-utils)
install(TARGETS kwin_qtcurve_config_kde4 DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
qtcurve (1.9-8) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Add the configuration for the CI on salsa.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113449)
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 06:38:15 +0200

qtcurve (1.9-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get rid of kdelibs4support dependency. (Closes: #1099140)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Mar 2025 17:00:05 +0100

qtcurve (1.9-7) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972154).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2020 15:09:31 +0300

qtcurve (1.9-6) unstable; urgency=medium

  * Team upload.
  * Update Homepage to https://invent.kde.org/system/qtcurve.
  * Explicitly add more required build dependencies: gettext,
    libkf5guiaddons-dev, libkf5iconthemes-dev, libkf5style-dev, and
    libkf5windowsystem-dev. (Closes: #962739)
  * Do not install the TODO.md file as documentation, as it is not useful for
    users.
  * Remove the kde-style-qtcurve-qt4 suggest from kde-style-qtcurve-qt5, as
    it does not exist anymore.
  * Remove all the ${misc:Pre-Depends} substvar: other than empty, they were
    used in Depends fields.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Jun 2020 10:06:28 +0200

qtcurve (1.9-5) unstable; urgency=medium

  [ Sven Mueller ]
  * Add build dependency on libx11-xcb-dev. (Closes: #952244)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 4.4.1): no changes required
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 12)
    - add "Rules-Requires-Root: no"
  * Update years in debian/copyright.
  * Delete debian/compat.

 -- Boris Pek <tehnick@debian.org>  Wed, 26 Feb 2020 02:56:14 +0300

qtcurve (1.9-4) unstable; urgency=medium

  * Team upload.
  * Drop Qt4 support (Closes: #875149)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2019 12:23:45 -0400

qtcurve (1.9-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with GCC 9.x. (Closes: #925813)

  [ Boris Pek ]
  * Update debian/control:
   - bump debhelper version to 12~ (was 11~); update debian/compat
   - bump Standards-Version to 4.4.0 (was 4.2.1): no changes required
  * Simplify debian/rules:
    - delete --list-missing option from dh
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
  * Update debian/upstream/signing-key.asc:
    fix lintian note public-upstream-key-not-minimal.
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Update debian/upstream/metadata.
  * Delete debian/source/options.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 25 Jul 2019 03:08:47 +0300

qtcurve (1.9-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Sep 2018 21:22:55 +0300

qtcurve (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Bump Standards-Version to 4.2.1 (was 4.2.0): no changes required.
  * Delete all debian/patches/*: some of them already in upstream and others
    are not required anymore.
  * Rewrite debian/watch: upstream has finally uploaded release tarball to
    download.kde.org, so we may use it instead of git repo on cgit.kde.org.
  * Simplify debian/rules: delete --parallel option from dh.
  * Set "Section: libs" for binary package libqtcurve-utils2.
  * Add debian/upstream/signing-key.asc.
  * Add debian/upstream/metadata.
  * Update debian/copyright:
    - update Format field: http --> https
    - update Source field: download.kde.org is used now

 -- Boris Pek <tehnick@debian.org>  Fri, 21 Sep 2018 01:46:19 +0300

qtcurve (1.8.18+git20160320-3d8622c-6) unstable; urgency=medium

  * Update debian/control:
    - bump Standards-Version to 4.2.0 (was 4.0.0)
    - update Vcs-* fields: moved from Alioth to Salsa
    - replace build dependency from kio-dev to libkf5kio-dev
      [Thanks to Pino Toscano] (Closes: #885393)
  * Add patch fix-random-hangs-and-crashes-of-Qt-based-applications:
    fixes random hangs of Qt5-based applications and crashes of Qt4-based
    applications after moving of mouse pointer over the menu bar.
    [Thanks to Andrey Rahmatullin] (Closes: #905327, #905354)
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Delete get-orig-source section from debian/rules.
  * Update years and emails in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 17 Aug 2018 02:27:09 +0300

=== debian/control ===
Source: qtcurve
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               gettext,
               libcairo2-dev,
               libgtk2.0-dev,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5style-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               pkgconf,
               pkg-kde-tools,
               qtbase5-dev,
               qtbase5-private-dev
Homepage: https://invent.kde.org/system/qtcurve
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtcurve.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtcurve
Standards-Version: 4.7.2

Package: gtk2-engines-qtcurve
Section: gnome
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: kde-style-qtcurve-qt5
Multi-Arch: same
Description: QtCurve widget style for applications based on GTK+ 2.x
 This package contains the QtCurve theme engine for GTK+ 2.x.
 .
 This package is most useful when installed together with kde-style-qtcurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: kde-style-qtcurve-qt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gtk2-engines-qtcurve
Multi-Arch: same
Description: QtCurve widget style for applications based on Qt 5.x
 This package contains the QtCurve widget style for Qt 5.x.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve
Section: metapackages
Architecture: any
Depends: gtk2-engines-qtcurve,
         kde-style-qtcurve-qt5,
         qtcurve-l10n,
         ${misc:Depends}
Suggests: kwin-decoration-oxygen, oxygen-icon-theme
Multi-Arch: same
Description: unified widget styles for Qt and GTK+ applications (metapackage)
 This package installs all packages related with QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: libqtcurve-utils2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Breaks: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Multi-Arch: same
Description: common library for QtCurve
 This package contains common library for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKEOPTS = -DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
            -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
            -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 \
            -DQTC_QT5_ENABLE_KDE=On \
            -DQTC_QT4_ENABLE_KDE=Off \
            -DQTC_QT4_ENABLE_KWIN=Off \
            -DENABLE_TEST=Off

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/qtcurve/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## qtcurve 1.9+p24.04+vstable+git20250901.0557

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20250901.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 05:57:55 +0000

qtcurve (1.9-7) noble; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972154).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2020 15:09:31 +0300

## qtcurve 1.9+p24.04+vstable+git20250908.0902

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20250908.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 09:02:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtcurve
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
@@ -15,6 +14,7 @@
                libkf5guiaddons-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
+               libkf5kdelibs4support-dev,
                libkf5kio-dev,
                libkf5style-dev,
                libkf5widgetsaddons-dev,
@@ -25,21 +25,21 @@
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
                qtbase5-private-dev
 Homepage: https://invent.kde.org/system/qtcurve
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtcurve.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtcurve
-Standards-Version: 4.7.2
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/extras/qtcurve.git
+Vcs-Browser: https://invent.kde.org/neon/extras/qtcurve
+Maintainer: Neon CI <neon@kde.org>
 
 Package: gtk2-engines-qtcurve
 Section: gnome
 Architecture: any
-Depends: ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: kde-style-qtcurve-qt5
 Multi-Arch: same
 Description: QtCurve widget style for applications based on GTK+ 2.x

## qtcurve 1.9+p24.04+vstable+git20251222.0216

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20251222.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:16:52 +0000

## qtcurve 1.9+p24.04+vstable+git20251231.0533

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20251231.0533-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:33:16 +0000

## qtcurve 1.9+p24.04+vstable+git20260113.0402

=== CMakeLists.txt ===
--- 
+++ 
@@ -253,6 +253,3 @@
 endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20260113.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:02:52 +0000

## qtcurve 1.9+p24.04+vunstable+git20251124.1100

=== qt6/CMakeLists.txt ===
set(CMAKE_AUTOMOC True)
set(CMAKE_AUTOUIC True)

include(CMakePrintHelpers)

if(QTC_QT6_ENABLE_QTQUICK2)
  set(QTC_QT6_MODULES Core Gui GuiPrivate Widgets WidgetsPrivate Svg Quick DBus)
else()
  set(QTC_QT6_MODULES Core Gui GuiPrivate Widgets WidgetsPrivate Svg DBus)
endif()
if(QTC_QT6_ENABLE_KDE)
  list(APPEND QTC_QT6_MODULES PrintSupport)
endif()

add_definitions(-DQTC_UTILS_QT6 -DQTC_UTILS_QT)

set(QTC_QT6_ENABLE_KWIN Off)

find_package(Qt6 REQUIRED COMPONENTS ${QTC_QT6_MODULES})
list(TRANSFORM QTC_QT6_MODULES PREPEND "Qt6::" OUTPUT_VARIABLE QTC_QT6_LINK_LIBS)
foreach(QtModule ${QTC_QT6_OPT_MODULES})
  find_package(Qt6${QtModule})
  if(Qt6${QtModule}_FOUND)
    list(APPEND QTC_QT6_LINK_LIBS "Qt6::${QtModule}")
  endif()
endforeach()

cmake_print_variables(QTC_QT6_MODULES QTC_QT6_LINK_LIBS)

get_target_property(REAL_QMAKE_EXECUTABLE Qt6::qmake IMPORTED_LOCATION)
execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
  OUTPUT_VARIABLE _Qt6_PLUGIN_INSTALL_DIR
  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
set(QTCURVE_STYLE_DIR "${_Qt6_PLUGIN_INSTALL_DIR}/styles/")

include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-DTRANSLATION_DOMAIN=\"qtcurve\")
configure_file(config-qt6.h.in config-qt6.h @ONLY)

if(QTC_QT6_ENABLE_KDE)
  find_package(ECM 1.2.0 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

  find_package(KF6 REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    FrameworkIntegration
    I18n
    GuiAddons
    KIO
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui)

  add_definitions(-DQTC_QT6_ENABLE_KDE)
  include(KDEInstallDirs)
  include(KDECMakeSettings)
  include(KDECompilerSettings)
  if(NOT APPLE)
    set(QTC_QT6_ENABLE_KWIN ON)
  endif()
endif()

add_subdirectory(common)
add_subdirectory(config)
if(QTC_QT6_ENABLE_KWIN)
  add_subdirectory(kwin)
  add_subdirectory(kwinconfig)
endif()
add_subdirectory(style)

## qtcurve 1.9.1+rb2

=== debian/changelog ===
qtcurve (1.9.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 20:03:28 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKEOPTS = -DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
            -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 \
            -DQTC_QT5_ENABLE_KDE=On \
            -DQTC_QT4_ENABLE_KDE=Off \
            -DQTC_QT4_ENABLE_KWIN=Off \
            -DENABLE_TEST=Off

%:
	dh $@ --list-missing --with=kf5

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)
